Status: Closed Priority: Should have
Author: Stefan Galinski Category:
Created: 2012-05-16 Assigned To: Chris topher
Updated: 2013-03-03 Due date:
Subject: HMENU: sectionIndex.useColPos allows configuration of the value for colPos
Description

In HMENUs sectionIndex.where can be used to customize the sectionIndex' where clause used for the generation of the section
menus.

By default the where clause contains "colPos=0". The value "0" can now be manipulated. stdWrap is available. See #21142 for
details.

Related issues:
related to Core - Feature # 21142: HMENU - sectionIndex does not allow to sel... Resolved 2009-09-25

Associated revisions
Revision a96e8f7f - 2012-10-22 14:06 - Chris topher

[TASK] HMENU: sectionIndex.useColPos allows configuration of the value
for colPos

Add documentation for sectionIndex.useColPos, which allows to configure
the colPos, which should be used for creating the section index.

Change-Id: I0653cdca231d571cb167568e67066407ee8c1e04
Resolves: #37234

History
#1 - 2012-08-08 19:16 - Stefan Galinski

The patch changed a little bit. Instead of an own part of the "where" clause, you can just change the colPos for security reasons now.

This changeset implements the sectionIndex setting
"useColPos" that can be used to change the colPos
query filter. A negative value drops the filter
completely. Only integers are allowed as values
and stdWrap is possible.

Example:
tt_content.menu.20.3.1.sectionIndex.useColPos = -1

#2 - 2012-10-21 20:49 - Chris topher
- Target version set to 6.0

#3 - 2012-10-21 21:03 - Chris topher
- Subject changed from HMENU - sectionIndex.where to HMENU: sectionIndex.useColPos allows configuration of the value for colPos
#4 - 2012-10-21 21:14 - Chris topher

Here is the diff.

Section "[menuObj].sectionIndex" (running text, no table)

New setting: .sectionIndex.useColPos = [integer /stdWrap]

Data type: integer /stdWrap

Description: The colPos to use in the where clause of the query. Possible values are integers.

Any positive integer and 0 will lead to a where clause containing "colPos=x" with x being the aforementioned integer. A negative value drops the filter
"colPos=x" completely.

Example:
tt_content.menu.20.3.1.sectionIndex.useColPos = -1

Default: 0 (leading to "colPos=0")

===

Introductory sentence ("(with colPos=0!)") needs according update.

#5 - 2012-10-22 14:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15878

#6 - 2012-10-22 14:05 - Chris topher
- Assigned To set to Chris topher

#7 - 2012-10-22 14:35 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a96e8f7f6d70b8374a613cd992a63ae9a20a162b.

#8 - 2013-03-03 20:51 - Chris topher
- Status changed from Resolved to Closed
https://review.typo3.org/#/c/11251/3/typo3/sysext/cms/tslib/class.tslib_menu.php
http://review.typo3.org/15878

